Package net.md_5.bungee.protocol.packet

# Class ServerData

java.lang.Object
net.md_5.bungee.protocol.DefinedPacket
net.md_5.bungee.protocol.packet.ServerData

public class ServerData extends DefinedPacket

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServerData()`
  `ServerData(net.md_5.bungee.api.chat.BaseComponent motd, Object icon, boolean preview, boolean enforceSecure)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `Object`
  `getIcon()`
  `net.md_5.bungee.api.chat.BaseComponent`
  `getMotd()`
  `void`
  `handle(AbstractPacketHandler handler)`
  `int`
  `hashCode()`
  `boolean`
  `isEnforceSecure()`
  `boolean`
  `isPreview()`
  `void`
  `read(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)`
  `void`
  `setEnforceSecure(boolean enforceSecure)`
  `void`
  `setIcon(Object icon)`
  `void`
  `setMotd(net.md_5.bungee.api.chat.BaseComponent motd)`
  `void`
  `setPreview(boolean preview)`
  `String`
  `toString()`
  `void`
  `write(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)`

  ### Methods inherited from class net.md_5.bungee.protocol.DefinedPacket

  `nextProtocol, read, read, readArray, readArray, readBaseComponent, readBaseComponent, readComponentStyle, readEitherBaseComponent, readEnumSet, readFixedBitSet, readLengthPrefixed, readNullable, readNumberFormat, readProperties, readPublicKey, readString, readString, readStringArray, readStringMapKey, readTag, readTag, readUUID, readVarInt, readVarInt, readVarIntArray, readVarShort, setVarInt, toArray, write, write, writeArray, writeBaseComponent, writeComponentStyle, writeEitherBaseComponent, writeEnumSet, writeFixedBitSet, writeLengthPrefixed, writeNullable, writeNumberFormat, writeProperties, writePublicKey, writeString, writeString, writeStringArray, writeTag, writeUUID, writeVarInt, writeVarShort`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServerData

    public ServerData()

  - ### ServerData

    public ServerData(net.md_5.bungee.api.chat.BaseComponent motd, Object icon, boolean preview, boolean enforceSecure)

- ## Method Details

  - ### read

    public void read(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)
    Overrides:
      `read` in class `DefinedPacket`

  - ### write

    public void write(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)
    Overrides:
      `write` in class `DefinedPacket`

  - ### handle

    public void handle(AbstractPacketHandler handler) throws Exception
    Specified by:
      `handle` in class `DefinedPacket`
    Throws:
      `Exception`

  - ### getMotd

    public net.md_5.bungee.api.chat.BaseComponent getMotd()

  - ### getIcon

    public Object getIcon()

  - ### isPreview

    public boolean isPreview()

  - ### isEnforceSecure

    public boolean isEnforceSecure()

  - ### setMotd

    public void setMotd(net.md_5.bungee.api.chat.BaseComponent motd)

  - ### setIcon

    public void setIcon(Object icon)

  - ### setPreview

    public void setPreview(boolean preview)

  - ### setEnforceSecure

    public void setEnforceSecure(boolean enforceSecure)

  - ### toString

    public String toString()
    Specified by:
      `toString` in class `DefinedPacket`

  - ### equals

    public boolean equals(Object o)
    Specified by:
      `equals` in class `DefinedPacket`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `DefinedPacket`